=== windows/Makefile ===
view3dscene.res: view3dscene.rc view3dscene.ico
	windres -i $< -o $@
