=== debian/changelog ===
view3dscene (3.13.0-2) unstable; urgency=low

  * Fix i368 build failure (wrong variable to determine multiarch path)
    (Closes: #724261)
  * Fix dependencies/recommends (the not auto-detected ones)
  * Move fpc, lazarus and CGE-doc to suggests, they are not needed to run
    view3dscene in any way.
  * Apply upstream patch to use qscale in ffmpeg in stead of sameq
  * lintian: fix hyphens in manpage

 -- Paul Gevers <elbrus@debian.org>  Sat, 28 Sep 2013 17:38:06 +0200

view3dscene (3.13.0-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * Packaged view3dscene for Debian. (Closes: Bug#707932)

 -- Paul Gevers <elbrus@debian.org>  Thu, 19 Sep 2013 21:17:12 +0200
