=== debian/control ===
Source: view3dscene
Section: misc
Priority: optional
Maintainer: Abou Al Montacir <abou.almontacir@sfr.fr>
Uploaders:
 Paul Gevers <elbrus@debian.org>
Standards-Version: 3.9.4
Build-Depends:
 debhelper (>= 7),
 fp-compiler,
 fp-units-castle-game-engine (>=4.1.1),
 fp-units-fcl,
 fp-units-gfx,
 fp-units-gtk2,
 fp-utils (>= 2.6.2),
 graphicsmagick-imagemagick-compat | imagemagick,
 libatk1.0-dev,
 libgdk-pixbuf2.0-dev,
 libgtk2.0-dev,
 libgtkglext1-dev,
 libpango1.0-dev,
 libx11-dev,
 quilt
Vcs-Git: http://code.google.com/p/pascal-for-debian.view3dscene
Vcs-Browser: http://code.google.com/p/pascal-for-debian/source/browse/?repo=view3dscene
Homepage: http://castle-engine.sourceforge.net/view3dscene.php

Package: view3dscene
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libgl1-mesa-swx11 | libgl1-mesa-glx | libgl1-nvidia-glx,
 libpng12-0,
 zlib1g
Recommends:
 libopenal1,
 libvorbisfile3
Suggests:
 castle-game-engine-doc,
 fpc,
 fp-units-castle-game-engine,
 lazarus,
 graphicsmagick-imagemagick-compat | imagemagick,
 libav-tools | ffmpeg
Description: VRML / X3D browser, and a viewer for other 3D model formats
 view3dscene is a viewer for many 3D model formats:
  - X3D
  - VRML (1.0 and 2.0, aka VRML 97)
  - Collada
  - OpenInventor
  - 3DS
  - MD3
  - Wavefront OBJ
  - Videoscape GEO
  - KAnim (Castle Game Engine animations)
 .
 Various navigation modes are available, like Examine, Walk (with gravity), Fly.
 Collision detection is done. Models can be animated and interactive. Many
 graphic effects are possible, thanks to using Castle Game Engine underneath.
 .
 view3dscene may also be used to convert many 3D model formats to X3D
 (in classic and XML encoding). This package includes also a command-line
 tovrmlx3d program, that performs the same conversions as view3dscene,
 but doesn't use X or OpenGL (so it's nice to use in scripts to convert
 3D models in batch mode).
