=== debian/changelog ===
view3dscene (3.14.0-1) unstable; urgency=medium

  [ Paul Gevers ]
  * Remove nearly obsolete bzip compression for binary packages
    (See https://lists.debian.org/debian-devel/2014/01/msg00542.html)
  * Raise version of BD on fp-units-castle-game-engine to prevent FTBFS
    (Closes: #750340)
  * Bump standards to 3.9.5 (no changes)
  * Remove unused patch (applied upstream)
  * Build depend on cge-src and link castleconf.inc in build directory

  [ Abou Al Montacir ]
  * New upstream release.
    - Drop patch already applied upstream
  * Don't build depend on quilt

 -- Paul Gevers <elbrus@debian.org>  Sun, 08 Jun 2014 16:12:33 +0200
