=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: view3dscene
 Section: misc
 Priority: optional
-Maintainer: Abou Al Montacir <abou.almontacir@sfr.fr>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders:
+ Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends:
+ castle-game-engine-src,
  debhelper (>= 7),
  fp-compiler,
- fp-units-castle-game-engine (>=4.1.1),
+ fp-units-castle-game-engine (>=5.0.0-2~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
@@ -19,10 +21,9 @@
  libgtk2.0-dev,
  libgtkglext1-dev,
  libpango1.0-dev,
- libx11-dev,
- quilt
-Vcs-Git: http://code.google.com/p/pascal-for-debian.view3dscene
-Vcs-Browser: http://code.google.com/p/pascal-for-debian/source/browse/?repo=view3dscene
+ libx11-dev
+Vcs-Git: git://anonscm.debian.org/pkg-pascal/view3dscene.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/view3dscene.git
 Homepage: http://castle-engine.sourceforge.net/view3dscene.php
 
 Package: view3dscene
