=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # debian/rules for FPTC
 
 DEB_PACKAGE_NAME = view3dscene
-DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
 export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
 export LANG:=C
 
@@ -68,16 +67,13 @@
 	-FE${BIN_DIR} \
 	-Fu/usr/lib/${DEB_HOST_MULTIARCH}/fp-units-${FPCVER}/castle-game-engine-${CGEVERSION}/
 
-# Configure patch system
-include /usr/share/quilt/quilt.make
-
 #export DH_VERBOSE=1
 
 ###################
 # Clean
 #
 
-clean: patch configure clean-patched unpatch
+clean: configure clean-patched
 	# dh_clean gets a list of files from the debian/clean file
 	dh_clean
 clean-patched:
@@ -90,13 +86,16 @@
 # Arch packages
 #
 
-configure: patch configure-stamp
+configure: configure-stamp
 configure-stamp:
 	dh_testdir
 #	# Remove auto-generated version file.
 #	${RM} ide/version.inc
 #	# Add version.inc:
 #	echo \'$(DEB_VERSION)\' > version.inc
+	if [ ! -f castleconf.inc ] ; then \
+		ln -s `dpkg-query -L castle-game-engine-src | grep castleconf.inc` ./ ;\
+	fi
 	touch configure-stamp
 
 build-arch: configure build-arch-stamp build-doc
@@ -143,7 +142,7 @@
 # Documentation
 #
 
-build-doc: patch build-doc-stamp
+build-doc: build-doc-stamp
 build-doc-stamp:
 	@echo "--- Building Documentation"
 	dh_testdir
