=== debian/changelog ===
view3dscene (3.15.0-6) unstable; urgency=medium

  * Switch from imagemagick to inkscape to work around FTBFS (Closes:
    #828120)
  * Drop xpm file as it was only used by the removed menu file

 -- Paul Gevers <elbrus@debian.org>  Thu, 08 Sep 2016 21:23:21 +0200

view3dscene (3.15.0-5) unstable; urgency=medium

  * Acknowledge NMU by Tobias (thanks)
  * Drop Depends on libpng* as it is picked up already via libgtk-pixbuf*
    so we don't need to determine it ourselves and it will not be needed
    with the next version of cge (Closes: #820566)
  * Version the Build-Depends on CGE because we want png support
  * Drop some suggested packages that are really only for devs
  * Bump standards version (no changes)

 -- Paul Gevers <elbrus@debian.org>  Tue, 19 Apr 2016 20:50:45 +0200

view3dscene (3.15.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace manual dependency on libpng12-12 with libpng-16-16.
    (see #820566 -- explictily not closing that bug).

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Apr 2016 10:08:28 +0200

view3dscene (3.15.0-4) unstable; urgency=medium

  * Fix FTBFS with fpc 3.0.0 by adding BD on fp-units-net
  * Updated Vcs-* fields to use https
  * Bump standards version (no changes)
  * Fix spelling issues found by Lintian (not all can be fixed inside this
    package)

 -- Paul Gevers <elbrus@debian.org>  Wed, 03 Feb 2016 20:22:41 +0100

view3dscene (3.15.0-3) unstable; urgency=medium

  * Fix FTBFS by adding debian/patches/view3dscene-fix-for-cge520.patch
    for changed API of cge (Closes: #806488)
  * Drop menu file since TC decision on bug #741573

 -- Paul Gevers <elbrus@debian.org>  Sat, 28 Nov 2015 10:37:25 +0100

view3dscene (3.15.0-2) unstable; urgency=medium

  * Temporarily drop dependency on kicad-common as that FTBFS (we
    don't need it, just nice to have)
  * Bump debhelper level to 9

 -- Paul Gevers <elbrus@debian.org>  Tue, 08 Sep 2015 21:32:52 +0200

view3dscene (3.15.0-1) unstable; urgency=medium

  * New upstream release
  * Raise versioned dependency on fp-units-castle-game-engine
  * Update dates in d/copyright
  * Bump standards to 3.9.6 (no changes)
  * Enable some testing during building (b-depend on kicad-common and
    whitedune-docs to have a bunch of files to test)
  * Add TODO list

 -- Paul Gevers <elbrus@debian.org>  Sat, 13 Jun 2015 13:12:13 +0200
