=== debian/control ===
--- 
+++ 
@@ -5,25 +5,27 @@
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Build-Depends:
  castle-game-engine-src,
- debhelper (>= 7),
+ debhelper (>= 9),
  fp-compiler,
- fp-units-castle-game-engine (>=5.0.0-2~),
+ fp-units-castle-game-engine (>= 5.2.0-3~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
+ fp-units-net,
  fp-utils (>= 2.6.2),
- graphicsmagick-imagemagick-compat | imagemagick,
+ inkscape,
  libatk1.0-dev,
  libgdk-pixbuf2.0-dev,
  libgtk2.0-dev,
  libgtkglext1-dev,
  libpango1.0-dev,
- libx11-dev
-Vcs-Git: git://anonscm.debian.org/pkg-pascal/view3dscene.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pascal/view3dscene.git
+ libx11-dev,
+ whitedune-docs,
+Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/view3dscene.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/view3dscene.git
 Homepage: http://castle-engine.sourceforge.net/view3dscene.php
 
 Package: view3dscene
@@ -32,16 +34,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
  libgl1-mesa-swx11 | libgl1-mesa-glx | libgl1-nvidia-glx,
- libpng12-0,
  zlib1g
 Recommends:
  libopenal1,
  libvorbisfile3
 Suggests:
- castle-game-engine-doc,
- fpc,
- fp-units-castle-game-engine,
- lazarus,
  graphicsmagick-imagemagick-compat | imagemagick,
  libav-tools | ffmpeg
 Description: VRML / X3D browser, and a viewer for other 3D model formats
