=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 # Clean
 #
 
-clean: configure clean-patched
+clean: clean-patched
 	# dh_clean gets a list of files from the debian/clean file
 	dh_clean
 clean-patched:
@@ -106,6 +106,19 @@
 	${MKDIR} $(LIB_DIR)
 	fpc $(BUILDOPTS) view3dscene.lpr
 	fpc $(BUILDOPTS) tovrmlx3d.lpr
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Code to run the package test suite.
+	# We need the directories where the files to test are to be
+	# writeable by the current (non-root) user. Copying them in
+	# the current tree is the easiest way to accomplish that.
+	mkdir -p debian/tmp/kicad
+	mkdir -p debian/tmp/whitedune
+#	cp -R /usr/share/kicad/modules/ debian/tmp/kicad
+	cp -R /usr/share/doc/whitedune-docs/ debian/tmp/whitedune
+	PATH=$$PATH:debian/tmp/usr/bin/ ./run_tests.sh debian/tmp/run_tests_errors.txt debian/tmp/run_tests_output.txt
+	cat debian/tmp/run_tests_errors.txt
+	${RM} debian/tmp/kicad debian/tmp/whitedune
+endif
 	touch build-arch-stamp
 
 install-arch: build-arch install-arch-stamp install-doc
@@ -114,11 +127,9 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
-	# copy images, sounds, icons and menu entries for the GNOME menu
-	${MKDIR} $(INSTALL_DIR)/usr/share/pixmaps
-	convert -geometry 32x32 desktop/view3dscene.svg $(INSTALL_DIR)/usr/share/pixmaps/view3dscene.xpm
 	${MKDIR} $(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps
-	convert -geometry 48x48 desktop/view3dscene.svg $(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps/view3dscene.png
+#	convert -geometry 48x48 desktop/view3dscene.svg $(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps/view3dscene.png
+	inkscape --export-width=48 --export-height=48 desktop/view3dscene.svg --export-png=$(INSTALL_DIR)/usr/share/icons/hicolor/48x48/apps/view3dscene.png
 	#  build/share/images
 	#  build/share/locale
 	#  build/share/sounds
