=== debian/changelog ===
view3dscene (3.16.1-1) experimental; urgency=medium

  * New upstream version 3.16.1
  * Bump required version for castle-game-engine packages
  * Update upstream homepage
  * Update d/copyright for new source
  * Drop and refresh patches based on new source code
  * Bump debhelper compat level
  * Generate input code and add file_to_pascal_string to do it
  * Add upstream add-keyword-to-desktop-file.patch
  * Drop lintian override, it isn't needed anymore
  * Enable bindnow in the linker flags
  * Rework d/rules to use shorthand debhelper
  * Enable testing with kicad-common again

 -- Paul Gevers <elbrus@debian.org>  Sat, 01 Apr 2017 10:20:47 +0200
