=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
  Paul Gevers <elbrus@debian.org>
 Standards-Version: 3.9.8
 Build-Depends:
- castle-game-engine-src,
- debhelper (>= 9),
+ castle-game-engine-src (>= 6~),
+ debhelper (>= 10~),
  fp-compiler,
- fp-units-castle-game-engine (>= 5.2.0-3~),
+ fp-units-castle-game-engine (>= 6~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
  fp-units-net,
  fp-utils (>= 2.6.2),
  inkscape,
+ kicad-common,
  libatk1.0-dev,
  libgdk-pixbuf2.0-dev,
  libgtk2.0-dev,
@@ -26,7 +27,7 @@
  whitedune-docs,
 Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/view3dscene.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/view3dscene.git
-Homepage: http://castle-engine.sourceforge.net/view3dscene.php
+Homepage: https://castle-engine.sourceforge.io/view3dscene.php
 
 Package: view3dscene
 Architecture: any
