## view3dscene 3.17.0

=== debian/changelog ===
view3dscene (3.17.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * Drop patches from upstream
  * Bump standards version to 4.0.0 (no changes)
  * Bump required version for castle-game-engine packages

 -- Paul Gevers <elbrus@debian.org>  Wed, 12 Jul 2017 21:46:04 +0200
