=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends:
- castle-game-engine-src (>= 6~),
+ castle-game-engine-src (>= 6.2~),
  debhelper (>= 10~),
  fp-compiler,
- fp-units-castle-game-engine (>= 6~),
+ fp-units-castle-game-engine (>= 6.2~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
