## view3dscene 3.18.0

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,12 @@
 	if which castle-engine > /dev/null; then castle-engine clean; else rm -f code/*.ppu code/*.o code/*.or code/*.rst code/*.rsj code/*.compiled; fi
 	rm -f view3dscene view3dscene.exe code/view3dscene code/view3dscene.exe \
 	      tovrmlx3d tovrmlx3d.exe code/tovrmlx3d code/tovrmlx3d.exe
-	rm -Rf view3dscene.app tovrmlx3d.app macosx/view3dscene.app macosx/tovrmlx3d.app macosx/*.dmg
+	rm -Rf view3dscene.app \
+	       tovrmlx3d.app \
+	       macosx/view3dscene.app \
+	       macosx/tovrmlx3d.app \
+	       macosx/*.dmg \
+	       castle-engine-output
 
 # install / uninstall --------------------------------------------------------
 #
@@ -28,14 +33,17 @@
 
 .PHONY: install
 install:
+	install -d $(BINDIR)
 	install view3dscene $(BINDIR)
 	install tovrmlx3d $(BINDIR)
+	install -d  $(DATADIR)
 	cd desktop/ && ./install.sh "$(DATADIR)"
 
 .PHONY: uninstall
 uninstall:
 	rm -f $(BINDIR)/view3dscene \
 	      $(BINDIR)/tovrmlx3d
+	cd desktop/ && ./uninstall.sh "$(DATADIR)"
 
 # code generation ------------------------------------------------------------
