=== images/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ../code/v3dsceneimages.pas: warning_icon.png examine.png walk.png fly.png \
   open.png screenshot.png examine_tooltip.png walk_fly_tooltip.png \
   TooltipArrow.png light_gizmo.png
-	image2pascal --output ../code V3DSceneImages \
+	image-to-pascal --output ../code V3DSceneImages \
 	  warning_icon.png examine.png walk.png fly.png open.png \
 	  screenshot.png TooltipArrow.png light_gizmo.png \
 	  @alpha=strip examine_tooltip.png walk_fly_tooltip.png
