=== debian/changelog ===
view3dscene (3.18.0-2) unstable; urgency=medium

  * [tests] Only test on kicad-common on amd64 as it really takes long and
    currently prevents armel/armhf from building in time

 -- Paul Gevers <elbrus@debian.org>  Mon, 12 Feb 2018 22:46:30 +0100

view3dscene (3.18.0-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D on cge-src as it isn't needed anymore (Closes: #751473)
  * Bump B-D on fp-units-castle-game-engine to prevent FTBFS
  * Bump standards to 4.1.3 (no changes)
  * Bump debhelper compat level to 11 and set Rules-Requires-Root to no
  * Migrate VCS fields to Salsa URL

 -- Paul Gevers <elbrus@debian.org>  Sun, 11 Feb 2018 20:42:40 +0100
