=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Build-Depends:
- castle-game-engine-src (>= 6.2~),
- debhelper (>= 10~),
+ debhelper (>= 11~),
  fp-compiler,
- fp-units-castle-game-engine (>= 6.2~),
+ fp-units-castle-game-engine (>= 6.4~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
  fp-units-net,
  fp-utils (>= 2.6.2),
  inkscape,
- kicad-common,
+ kicad-common [amd64],
  libatk1.0-dev,
  libgdk-pixbuf2.0-dev,
  libgtk2.0-dev,
@@ -25,9 +24,10 @@
  libpango1.0-dev,
  libx11-dev,
  whitedune-docs,
-Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/view3dscene.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/view3dscene.git
+Vcs-Git: https://salsa.debian.org/pascal-team/view3dscene.git
+Vcs-Browser: https://salsa.debian.org/pascal-team/view3dscene.git
 Homepage: https://castle-engine.sourceforge.io/view3dscene.php
+Rules-Requires-Root: no
 
 Package: view3dscene
 Architecture: any
