=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,6 @@
 	$(MAKE) clean-code
 	dh_auto_clean
 
-override_dh_auto_configure:
-	if [ ! -f castleconf.inc ] ; then \
-		ln -s `dpkg-query -L castle-game-engine-src | grep castleconf.inc` ./ ;\
-	fi
-	dh_auto_configure
-
 override_dh_auto_build-arch:
 	mkdir -p $(TMP_DIR)
 
@@ -64,10 +58,14 @@
 	# We need the directories where the files to test are to be
 	# writeable by the current (non-root) user. Copying them in
 	# the current tree is the easiest way to accomplish that.
+	mkdir -p $(TMP_DIR)/whitedune
+	cp -R /usr/share/doc/whitedune-docs/ $(TMP_DIR)/whitedune
+	# Only add kicad on amd64 because it is so big and takes so long. Build
+	# even runs out of time on armel/armhf otherwise
+ifeq ($(DEB_BUILD_ARCH),amd64)
 	mkdir -p $(TMP_DIR)/kicad
-	mkdir -p $(TMP_DIR)/whitedune
 	cp -R /usr/share/kicad/modules/ $(TMP_DIR)/kicad
-	cp -R /usr/share/doc/whitedune-docs/ $(TMP_DIR)/whitedune
+endif
 	PATH=$$PATH:$(CURDIR)/code jenkins_scripts/run_tests.sh $(TMP_DIR)/run_tests_errors.txt $(TMP_DIR)/run_tests_output.txt
 	cat $(TMP_DIR)/run_tests_errors.txt
