=== debian/watch ===
version=3
http://sf.net/castle-engine/ view3dscene-(.*)-src.tar.gz debian
