=== embedded_data/Makefile ===
default:
	$(MAKE) -C designs/
	$(MAKE) -C images/
	$(MAKE) -C scenes/
	$(MAKE) -C screen_effects/

clean:
	$(MAKE) -C designs/ clean
	$(MAKE) -C images/ clean
	$(MAKE) -C scenes/ clean
	$(MAKE) -C screen_effects/ clean
