=== debian/changelog ===
view3dscene (4.0.0-3ubuntu1) jammy; urgency=medium

  * Filter -ffat-lto-objects from LDFLAGS to avoid
    '-f may not be used without -shared' link error

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Apr 2022 12:53:10 +0000

view3dscene (4.0.0-3) unstable; urgency=medium

  * Updated build script to use CGE units new installation directory.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 06 Feb 2022 22:22:19 +0100

view3dscene (4.0.0-2) unstable; urgency=medium

  * Added recommend dependency on sensible-utils package advised by Lintian.
  * Dropped optional license not yet agreed to be DFSG compatible.
  * Filter out auto-generated files upon source import.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 07 Nov 2021 15:46:28 +0100

view3dscene (4.0.0-1) stable; urgency=medium

  [ Jenkins ]
  * Update watch file format version to 4.
    Changes-By: lintian-brush
    Fixes: lintian: older-debian-watch-file-standard
    See-also:
      https://lintian.debian.org/tags/older-debian-watch-file-standard.html
  * Update standards version to 4.5.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

  [ Abou Al Montacir ]
  * Fixed watch file after upstream URL changed.
  * Added GBP configuration file.
  * New upstream version 4.0.0
  * Fixed make clean target.
  * Fixed path of Castle Game Engine units. (Closes: Bug#997940)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 06 Nov 2021 20:54:06 +0100

view3dscene (3.18.0-4) unstable; urgency=medium

  * Use --export-filename i.s.o. --export-png (Closes: #959610)
  * Bump debhelper compat to 13 (via debhelper-compat)
  * Bump standards
  * Drop versioned B-D fp-utils, even jessie has higher

 -- Paul Gevers <elbrus@debian.org>  Wed, 06 May 2020 20:34:49 +0200

view3dscene (3.18.0-3) unstable; urgency=medium

  * Temporarily drop dependency on again kicad-common as that FTBFS (we
    don't need it, just nice to have)

 -- Paul Gevers <elbrus@debian.org>  Tue, 05 Jun 2018 21:10:40 +0200
