=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: view3dscene
 Section: misc
 Priority: optional
-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  fp-compiler,
  fp-units-castle-game-engine (>= 6.4~),
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
  fp-units-net,
- fp-utils (>= 2.6.2),
- inkscape,
- kicad-common [amd64],
+ fp-utils,
+ inkscape (>= 1.0~),
  libatk1.0-dev,
  libgdk-pixbuf2.0-dev,
  libgtk2.0-dev,
@@ -25,7 +25,7 @@
  libx11-dev,
  whitedune-docs,
 Vcs-Git: https://salsa.debian.org/pascal-team/view3dscene.git
-Vcs-Browser: https://salsa.debian.org/pascal-team/view3dscene.git
+Vcs-Browser: https://salsa.debian.org/pascal-team/view3dscene
 Homepage: https://castle-engine.sourceforge.io/view3dscene.php
 Rules-Requires-Root: no
 
@@ -38,7 +38,8 @@
  zlib1g
 Recommends:
  libopenal1,
- libvorbisfile3
+ libvorbisfile3,
+ sensible-utils
 Suggests:
  graphicsmagick-imagemagick-compat | imagemagick,
  libav-tools | ffmpeg
