## view3dscene 4.2.0

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,24 @@
 # build / clean --------------------------------------------------------------
+
+# Hint: use
+#   export CASTLE_ENGINE_TOOL_OPTIONS='--mode=debug'
+#   make
+# to build in debug mode.
 
 .PHONY: compile
 compile:
 	./compile.sh
 
-# Run also "dircleaner . clean" here to really clean
 .PHONY: clean
 clean:
-	if which castle-engine > /dev/null; then castle-engine clean; else rm -f code/*.ppu code/*.o code/*.or code/*.rst code/*.rsj code/*.compiled; fi
-	rm -f view3dscene view3dscene.exe code/view3dscene code/view3dscene.exe \
-	      tovrmlx3d tovrmlx3d.exe code/tovrmlx3d code/tovrmlx3d.exe
+	castle-engine clean
+	castle-engine clean --manifest-name=CastleEngineManifest.tovrmlx3d.xml
+# remove also macOS stuff
 	rm -Rf view3dscene.app \
 	       tovrmlx3d.app \
 	       macosx/view3dscene.app \
 	       macosx/tovrmlx3d.app \
-	       macosx/*.dmg \
-	       castle-engine-output
+	       macosx/*.dmg
 
 # install / uninstall --------------------------------------------------------
 #
