=== debian/changelog ===
view3dscene (4.2.0-1) unstable; urgency=medium

  * Updated gbp import filter to exclude automatically generated files.
  * New upstream version 4.2.0 (Closes: Bug#1022343)
  * Updated Debian build rules and patches to fit new release changes.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 06 Nov 2022 18:54:46 +0100
