=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: view3dscene
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
+Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
 Uploaders:
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>
@@ -10,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  fp-compiler,
- fp-units-castle-game-engine (>= 6.4~),
+ fp-units-castle-game-engine,
  fp-units-fcl,
  fp-units-gfx,
  fp-units-gtk2,
