=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # Set default compilation options
 LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
 	dpkg-buildflags --get LDFLAGS | \
-	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11' -e 's/-ffat-lto-objects//'))
+	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11'))
 BUILDOPTS=-k"${LDFLAGS}"\
 	-dRELEASE \
 	-Mobjfpc \
@@ -52,8 +52,8 @@
 	fpc -FE$(TMP_DIR) debian/file_to_pascal_string.dpr
 	PATH=${PATH}:$(TMP_DIR) $(MAKE) generate-code
 
-	fpc $(BUILDOPTS) code/view3dscene.lpr
-	fpc $(BUILDOPTS) code/tovrmlx3d.lpr
+	fpc $(BUILDOPTS) -Ficode -Fucode view3dscene.lpr
+	fpc $(BUILDOPTS) -Ficode -Fucode tovrmlx3d.lpr
 
 	inkscape --export-width=48 --export-height=48 freedesktop/view3dscene.svg \
 		--export-filename=freedesktop/view3dscene.png
@@ -65,7 +65,7 @@
 	# the current tree is the easiest way to accomplish that.
 	mkdir -p $(TMP_DIR)/whitedune
 	cp -R /usr/share/doc/whitedune-docs/ $(TMP_DIR)/whitedune
-	PATH=$$PATH:$(CURDIR)/code jenkins_scripts/run_tests.sh $(TMP_DIR)/run_tests_errors.txt $(TMP_DIR)/run_tests_output.txt
+	PATH=$$PATH:$(CURDIR) jenkins_scripts/run_tests.sh $(TMP_DIR)/run_tests_errors.txt $(TMP_DIR)/run_tests_output.txt
 	cat $(TMP_DIR)/run_tests_errors.txt
 
 override_dh_auto_install:
