=== debian/watch ===
version=4
opts=\
compression=xz,\
repack,\
repacksuffix=+dfsg,\
uversionmangle=s/-/~/,\
dversionmangle=s/\+dfsg(\d*)//,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%view3dscene-$1.tar.xz% \
	https://github.com/castle-engine/view3dscene/tags \
	(?:.*?/)?v?@ANY_VERSION@\.tar\.gz debian
